.686
.model flat,stdcall
option casemap:none
include windows.inc
include libc.inc
includelib libcmt.lib
include kernel32.inc
includelib kernel32.lib
include user32.inc
includelib user32.lib
include libv2.inc
includelib libv2.lib
include tune.inc

.data
animchr db "|",0,"/",0,"-",0,"\",0
anim dd animchr,animchr+2,animchr+4,animchr+2

.code
; int _cdecl main (dword argc,byte *argv[])
main proc C uses esi edi ebx argc:dword,argv:ptr byte

	;; print a bunch of senseless info..
	invoke printf,T(13,10,"Farbrausch Tiny Music Player v0.2",13,10);
	invoke printf,T("Code and Synthesizer (C) 2000-2004 kb/Farbrausch",13,10);
	invoke printf,T(13,10,13,10,"Now Playing: 'Welcome to...' by kb",13,10);

	;; init synthesizer and player with the tune and the current window
	invoke GetForegroundWindow
	invoke ssInit,offset theTune,eax

	;; start playing
	invoke ssPlay;

	invoke printf,T(13,10,13,10,"press ESC to quit",13,10);

	;; wait until someone presses ESC
	;; yep, I know this will stop even if we don't have focus. I simply don't care.
	.while (1) 
		invoke GetAsyncKeyState,VK_ESCAPE
		test eax,eax
		.break .if sign?
		;; draw rotating stuff and make sure we don't use up 100% cpu
		invoke ssGetTime
		mov ecx,250
		xor edx,edx
		div ecx
		and eax,3
		invoke printf,anim[eax*DWORD];
		invoke printf,T(13);
		invoke Sleep,10; 
	.endw

	;; stop and deinit the player
	invoke ssStop;
	invoke ssClose;

	;; ... and we're done.
	xor eax,eax
	ret
main endp

end
